version: 1.12.5-{build}
image: Visual Studio 2019
environment:
  JAVA_HOME: C:\Program Files\Java\jdk13
  PATH: '%JAVA_HOME%\bin;%PATH%'
  JAVA_TOOL_OPTIONS: -Dfile.encoding=UTF8
build_script:
- cmd: >-
    echo Source encoding defined with: JAVA_TOOL_OPTIONS=%JAVA_TOOL_OPTIONS%

    java -version

    mvn --version

    mvn clean site install -Plinux -Pwindows-with-jre -DskipTests
artifacts:
- path: target\Filius-Setup_with-JRE*.exe
  name: Windows Installer with Bundled JRE
- path: target\*.zip
  name: Zip Archive
- path: target\*.deb
  name: Debian Package
deploy:
- provider: Webhook
  url: https://app.signpath.io/API/v1/15baf9fe-557e-4a33-92a1-afc9246f41d2/Integrations/AppVeyor?ProjectSlug=filius&SigningPolicySlug=release-signing
  authorization:
     secure: eQKEcW+1eqx1UQf1eDHSwUgEAxy6XOcv/Nwh0UhwSzpt+C1Zpd2GYMovP5t03CGUPQwxt20ysfJVp04zX4Au8A==
